# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Get the status of a wire payment request In this tutorial, you'll learn how to use the Global Payments API to retrieve the status of an wire payment request. By the end of this tutorial, you'll know how to use an `paymentId` to manually check and confirm the status of your request. > The Global Payments API supports [callbacks](/docs/treasury/global-payments/capabilities/global-payments-2/callbacks) for automatic status updates. > ## Before you begin To retrieve the status of an wire request, you will need the following: To get the status or details of a wire payment request, you need the following: - A registered and fully onboarded Developer Account on the J.P. Morgan Payments Developer Portal. - An active project that provides the credentials required to make API requests. - A paymentId provided in a successful wire payment response. ## Send a request Request payloads for the Global Payments API contain optional and required fields. Use the `paymentId` to retrieve wire payment information. The following example shows how to send a `GET` request to retrieve the status or full details of a wire payment. ### Retrieve wire payment status To get the status of a payment, send a `GET` request to the `/payments` endpoint with your `paymentId`. The response will be in `SUMMARY` view by default, though you may specify `view=SUMMARY` if preferred. ```curl curl \ --request GET \ --url https://api.payments.jpmorgan.com/payment/v2/payments/{ f672146b-d53d-4216-9d1e-08ad7e8019d1 } \ --header 'Accept: application/json' \ --header 'Request-Id: 1a2b3c4d-5e6f-7g8h-9i0j-1121a3m5o6p' ``` The following response will include the current status of your wire payment. ```json { "paymentId": "f672146b-d53d-4216-9d1e-08ad7e8019d1", "paymentStatus": "COMPLETED", "statusUpdatedAt": "2024-10-01T14:15:22Z", "requestedExecutionDate": "2024-10-01", "paymentIdentifiers": { "endToEndId": " WUSCPP3000118" }, "transferType": "CREDIT", "paymentType": "WIRE" } ``` ### Retrieve wire payment details (FULL view) To get the full details of a wire payment, send a `GET` request to the same endpoint and specify `view=FULL`. ```curl curl \ --request GET \ --url https://api-payments.jpmorgan.com/payment/v2/payments/{ f672146b-d53d-4216-9d1e-08ad7e8019d1?view=FULL } \ --header 'Accept: application/json' \ --header 'Request-Id: 1a2b3c4d-5e6f-7g8h-9i0j-1121a3m5o6p' ``` The following response will include all available details for your wire payment: ```json { "paymentId": " f672146b-d53d-4216-9d1e-08ad7e8019d1", "paymentStatus": "COMPLETED", "statusUpdatedAt": "2024-10-01T14:15:22Z", "requestedExecutionDate": "2024-10-01", "paymentIdentifiers": { "endToEndId": "WUSCPP3000118" }, "transferType": "CREDIT", "paymentTypeInformation": { "serviceLevelCode": "URGP", "paymentContext": "CUSTOMER" }, "paymentType": "WIRE", "value": { "currency": "USD", "amount": "6500.50" }, "debtor": { "account": { "accountNumber": "123456789" }, "name": "John Doe", "postalAddress": { "country": "US" } }, "debtorAgent": { "financialInstitutionIds": [ { "id": "21000021", "idType": "USABA" } ] }, "creditorAgent": { "financialInstitutionIds": [ { "id": "064208958", "idType": "USABA" } ], "postalAddress": { "postalCode": "12345", "city": "Springfield", "country": "US" } }, "creditor": { "account": { "accountNumber": "98765432" }, "name": "Jane Doe", "postalAddress": { "country": "US" } }, "remittanceInformation": { "unstructuredInformation": [ { "text": "Pay To Guitar Play, LLP - REF#00988887" } ] }, "chargesInformation": { "chargeBearer": "DEBTOR" } } ``` For a full list of supported status response types, see [Global Payments 2 status responses and error codes](/api/treasury/global-payments/global-payments-2/error-codes). ## Related - For more information about wire payment parameters, see [Payment parameters](/docs/treasury/global-payments/capabilities/global-payments-2/wire/same-currency-wires/payment-parameters). - For more information about status responses and error codes supported by the Global Payments API, see [Global Payments 2 status responses and error codes](/api/treasury/global-payments/global-payments-2/error-codes). ## Next steps - Learn how to [initiate a payment request](/docs/treasury/global-payments/capabilities/global-payments-2/wire/how-to/initiate-wire-payment).